#!/usr/bin/perl

use PDF::API2;

use constant mm => 25.4/72;
use constant cm => 2.54/72;
use constant in =>    1/72;
use constant pt =>    1;

$pdf = PDF::API2->new;

$fnt = $pdf->corefont('Verdana', -encode => 'cp1251');

$page = $pdf->page;
$page->mediabox('A4');

$gfx = $page->gfx;

$n = 10;
$R = 50;

#  
$gfx->fillcolor('blue');
$gfx->rectxy($page->get_mediabox);
$gfx->fill(1);

#     
$gfx->fillcolor('yellow');
$gfx->circle(210/mm/2, 297/mm/2, 0.95*$R);
$gfx->fill(1);

# $n    
$gfx->translate(210/mm/2, 297/mm/2);
for $i (1..$n) {
  $gfx->rotate(360/$n);
  $gfx->textlabel($R, 0, $fnt, 12, ',  !');
}

$pdf->saveas('helloworld3.pdf');
$pdf->end;
